SharedInstanceCredentialProvider (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a, class: SharedInstanceCredentialProvider

Package org.apache.hadoop.fs.s3a

# Class SharedInstanceCredentialProvider

java.lang.Object
org.apache.hadoop.fs.s3a.auth.IAMInstanceCredentialsProvider
org.apache.hadoop.fs.s3a.SharedInstanceCredentialProvider

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `software.amazon.awssdk.auth.credentials.AwsCredentialsProvider`, `software.amazon.awssdk.identity.spi.IdentityProvider<software.amazon.awssdk.identity.spi.AwsCredentialsIdentity>`

@Public @Evolving public final class SharedInstanceCredentialProvider extends IAMInstanceCredentialsProvider
This credential provider has jittered between existing and non-existing, but it turns up in documentation enough that it has been restored. It extends `IAMInstanceCredentialsProvider` to pick up its bindings, which are currently to use the `EC2ContainerCredentialsProviderWrapper` class for IAM and container authentication.

When it fails to authenticate, it raises a `NoAwsCredentialsException` which can be recognized by retry handlers as a non-recoverable failure.

It is implicitly public; marked evolving as we can change its semantics.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.fs.s3a.auth.IAMInstanceCredentialsProvider

  `TIME_BEFORE_EXPIRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SharedInstanceCredentialProvider()`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.fs.s3a.auth.IAMInstanceCredentialsProvider

  `close, isContainerCredentialsProvider, resolveCredentials, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface software.amazon.awssdk.auth.credentials.AwsCredentialsProvider

  `identityType, resolveIdentity`

  ### Methods inherited from interface software.amazon.awssdk.identity.spi.IdentityProvider

  `resolveIdentity, resolveIdentity`

- ## Constructor Details

  - ### SharedInstanceCredentialProvider

    public SharedInstanceCredentialProvider()